<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
class Cliente extends Model
{
    use HasFactory;
    protected $table = 'clientes';

    protected $fillable = [
        'dni',
        'correo',
        'persona_id',
        'baja_id',
        'credencialcliente_id',
    ];

    public function persona() 
    {
        return $this->belongsTo(Persona::class, 'persona_id','id');
    }
    
    public function baja() 
    {
        return $this->belongsTo(Baja::class, 'baja_id','id');
    }
    
    public function credencialCliente() 
    {
        return $this->belongsTo(CredencialCliente::class, 'credencialcliente_id','id');
    }
    
    public function documentosCliente() 
    {
        return $this->hasMany(DocumentacionCliente::class, 'cliente_id','id');
    }

    public function turnos() 
    {
        return $this->hasMany(Turno::class, 'cliente_id','id');
    }

    public function profesionales() 
    {
        return $this->belongsToMany(Profesional::class, 'profesionales_clientes','cliente_id', 'profesional_id')
        ->withPivot('estadorelacion')
        ->withTimestamps();
    }

    public function formularios() 
    {
        return $this->hasMany(Formulario::class, 'cliente_id','id');
    }

}
